Skip to main content
GET
/
workflow-runs
/
{run_id}
Get workflow run detail
curl --request GET \
  --url https://api.veryfront.com/workflow-runs/{run_id} \
  --header 'Authorization: Bearer <token>'
{
  "run": {
    "run_id": "<string>",
    "kind": "workflow",
    "status": "pending",
    "owner": {
      "kind": "project",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "parent_run_id": "<string>",
    "root_run_id": "<string>",
    "waiting_reason": "tool",
    "created_at": "<string>",
    "started_at": "<string>",
    "completed_at": "<string>",
    "metadata": null
  },
  "workflow_id": "<string>",
  "target": "<string>",
  "start_mode": "<string>",
  "runtime_target_kind": "production",
  "runtime_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "runtime_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "input": {},
  "job": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "submitted",
    "environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "started_at": "<string>",
    "completed_at": "<string>",
    "failed_reason": "<string>",
    "result_data": null
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

run_id
string
required
Minimum string length: 1

Response

Workflow run detail

run
object
required
workflow_id
string
required
Minimum string length: 1
target
string
required
Minimum string length: 1
start_mode
string
required
Minimum string length: 1
runtime_target_kind
enum<string>
required
Available options:
production,
environment,
preview_branch
runtime_target_environment_id
string<uuid> | null
required
runtime_target_branch_id
string<uuid> | null
required
input
object
required
job
object
required